:root {
    /* =========================================
               Site, general
    ============================================ */
    /* --moon-yellow-2: var(--moon-yellow-2);*/
    --grey-color:	   #212226;
    --white-color:   #f8f8f8;

    --modal-duration: 1s;
    --arrangements-grid-duration: 1s;

    /* =========================================
               Hamburger, navigation
    ============================================ */

    --primary-color:   rgba(218, 138, 0, 0.75);
    --secondary-color: rgba(218, 138, 0, 0.9);
    --overlay-color:   rgba(33, 34, 38, 0.75);
    --white2-color:   rgba(227, 227, 227, 0.75);
    --menu-speed: 0.75s;
    --moon-yellow-2: rgb(239, 121, 152);

}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin: 0; /* Ważne, aby zlikwidować domyślne marginesy */
    padding-bottom: 60px; /* Dopasuj do wysokości stopki */
    background-color: #343a40;
    color: #ffffff;
    font-family: "Poppins", sans-serif;
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 60px; /* Wysokość stopki */
    background-color: #f5f5f5;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Poppins", sans-serif;
}

p {
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
}

a {
    color: #f5c5ff !important;
}

a:hover {
    color: #fdf1ff !important;
}

input::placeholder {
    font-weight: normal;
    opacity: 0.4 !important;
    color: #dadada !important;
}


/* =========================================
                Content Boxes
============================================ */
.content-box-lg {
    padding: 120px 0;
}

.content-box-md {
    padding: 100px 0;
}

.content-box-sm {
    padding: 90px 0;
}
/* =========================================
                Content Boxes
============================================ */


#logo {
    font-family: "Poppins", sans-serif;
    font-size: 38px; /* Rozmiar czcionki */
    letter-spacing: 0.4em; /* Odstęp między literami */
    text-shadow: 2px 2px 4px rgba(230, 230, 230, 0.5); /* Cień */
    color: white; /* Kolor czcionki */
    background-color: #343a40; /* Szare tło */
    padding-top: 4px; /* Wewnętrzny odstęp */
    padding-bottom: 4px; /* Wewnętrzny odstęp */
    padding-left: 16px;
    padding-right: 6px;
    border-radius: 5px; /* Zaokrąglenie rogów */
    font-weight: 800;
}

/*.detail dl {*/
/*    clear: both;*/
/*    height: 1em;*/
/*    margin-bottom: 1em;*/
/*}*/

/*.detail dl dt {*/
/*    float: left;*/
/*    width: 100px;*/
/*    font-weight: bold;*/
/*}*/
/*.detail dl dd {*/
/*    float: left;*/
/*}*/

.custom-input-2 {
    background-color: #374151 !important;
    border: 1px solid #7d5985 !important; /* Lekko fioletowe obramowanie */
    color: #9299a6 !important;
}

.custom-input-2:focus {
    border: 1px solid #f5c5ff !important;
    box-shadow: none !important;
}

.btn-staff {
    border-radius: 28px;
    font-size: 13px;
    text-transform: uppercase;
    margin: 0 6px;
    padding: 12px 16px;
    -webkit-transition: all .5s;
    transition: all .5s;
}

.btn-staff i {
    margin-right: 8px;            /* Doda przestrzeń między ikoną a tekstem */
}

.btn-purple {
    color: #fff;
    background-color: #3c3c3c;
    border: 1px solid #3c3c3c;
    outline: none !important;
    box-shadow: none;
}

.btn-purple:hover,
.btn-purple:focus {
    color: #fff;
    background-color: rgb(178, 95, 255);
    border: 1px solid rgb(178, 95, 255);
    outline: none !important;
    box-shadow: none;
}

#login_user .bg-dark2 {
    background-color: #1a222e !important;
}

#login_user .card-body {
    padding: 20px;
}

.errors {
    display: inline-block;
    border: 1px solid #f5c5ff;
    color: #f5c5ff;
    border-radius: 14px;
    padding: 20px;
    font-size: 16px;
    font-weight: 500;
    margin-top: 20px;
    margin-bottom: 60px;
}

#message {
    display: inline-block;
    border: 1px solid #f5c5ff;
    color: #f5c5ff;
    border-radius: 16px;
    padding: 20px;
    font-size: 16px;
    font-weight: 500;
    margin-top: 20px;
    margin-bottom: 60px;
}


/* Styl dla <select> z białą strzałką */
.form-select {
    appearance: none; /* Usuwa domyślny styl strzałki */
    -webkit-appearance: none; /* Usuwa domyślny styl w przeglądarkach WebKit */
    -moz-appearance: none; /* Usuwa domyślny styl w Firefoksie */
    background-color: #343a40; /* Dopasowuje kolor tła */
    color: #ffffff; /* Tekst biały */
    padding-right: 2rem; /* Dodaje miejsce na strzałkę */
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='white' viewBox='0 0 24 24'%3E%3Cpath d='M7 10l5 5 5-5H7z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 1.4rem center;
    background-size: 1.4rem;
    border: 1px solid #6c757d; /* Dopasowuje kolor obramowania */
}

/* Dla ciemnego motywu */
.form-select:focus {
    outline: none;
    border-color: #9d9d9d;
    box-shadow: 0 0 0 0.2rem rgba(255, 255, 255, 0.25);
}

.table-rounded {
    border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    overflow: hidden; /* Zapobiega wychodzeniu zawartości poza narożniki */
}

.table-dark {
    /*--bs-table-bg: #374151;*/
}

#qr-table th {
    background-color: #374151 !important;
}

/* Pagination */

.pagination {
    margin: 1em 0;
}

.pagination a, .pagination span {
    display: inline-block;
    margin: 0 5px;
}

.pagination span.selected {
    font-weight: bold;
    color: #fff !important;
    background-color: #374151;
}

.pagination .page-link {
    background-color: #1f2937;
    color: #9ca3af !important;
    border: solid 1px #313b4b !important;
    border-radius: 8px !important;
}

.pagination .page-link:hover {
    background-color: #374151;
    color: #fff !important;
    font-weight: bold;
}

/* Dark mode styles */
.datepicker {
    background-color: #374151 !important;
    color: #fff !important;
}

.datepicker table {
    background-color: #374151 !important;
}

.datepicker table tr td,
.datepicker table tr th {
    color: #fff !important;
}

.datepicker table tr td.active,
.datepicker table tr td.active:hover {
    background-color: #555 !important;
    color: #fff !important;
}

.datepicker table tr td.today,
.datepicker table tr td.today:hover {
    background-color: #444 !important;
    border-color: #777 !important;
    color: #fff !important;
}

.datepicker table tr td:hover {
    background-color: #1e293b !important;
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
    background-color: #1e293b !important;
}




